import { Dependencies, ErrorHook } from "../../util";
type PromiseCallback<T> = () => Promise<T>;
export type AsyncHook<T, E> = [value: T | undefined, loading: boolean, error: ErrorHook<E>];
export default function useAsync<T, E>(callback: PromiseCallback<T>, dependencies?: Dependencies): AsyncHook<T, E>;
export {};
